Providers
Register an OAuth application
POST /v1/oauth-apps · SDK createProviderApplication · CLI deployments oauth-app register
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
clientId*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 2048clientSecret?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 2048credential?displayName*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120metadata?providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$redirectUris*array<string>registration?requestedScopes*array<>ProviderApplicationResponse
application/json- response
clientId*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 2048createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedisplayName*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120hasClientSecret*booleanid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$metadata?providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$redirectUris*array<string>requestedScopes*array<string>status*stringValue in
"active""archived""disabled""error""revoked"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/oauth-apps" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "clientId": "string", "displayName": "string", "providerKey": "string", "redirectUris": [ "string" ], "requestedScopes": [ "string" ] }'{ "clientId": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "hasClientSecret": true, "id": "string", "metadata": { "property1": null, "property2": null }, "providerKey": "string", "redirectUris": [ "string" ], "requestedScopes": [ "string" ], "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}